org.apache.tomcat.util.http

## Class Parameters

- java.lang.Object
- - org.apache.tomcat.util.http.Parameters

-     public final class Parameters
      extends Object

  Author:
    Costin Manolache

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Parameters.FailReason`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_ENCODING` Deprecated. This will be removed in Tomcat 9.0.x

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(String key, String value)`
    `Charset` | `getCharset()`
    `String` | `getEncoding()` Deprecated. This method will be removed in Tomcat 9.0.x
    `String` | `getParameter(String name)`
    `Enumeration<String>` | `getParameterNames()`
    `String[]` | `getParameterValues(String name)`
    `Parameters.FailReason` | `getParseFailedReason()`
    `void` | `handleQueryParameters()` Process the query string into parameters
    `boolean` | `isParseFailed()`
    `void` | `processParameters(byte[] bytes, int start, int len)`
    `void` | `processParameters(MessageBytes data, Charset charset)`
    `void` | `processParameters(MessageBytes data, String encoding)` Deprecated. This method will be removed in Tomcat 9.0.x
    `void` | `recycle()`
    `void` | `setCharset(Charset charset)`
    `void` | `setEncoding(String s)` Deprecated. This method will be removed in Tomcat 9.0.x
    `void` | `setLimit(int limit)`
    `void` | `setParseFailedReason(Parameters.FailReason failReason)`
    `void` | `setQuery(MessageBytes queryMB)`
    `void` | `setQueryStringCharset(Charset queryStringCharset)`
    `void` | `setQueryStringEncoding(String s)` Deprecated. This method will be removed in Tomcat 9
    `void` | `setURLDecoder(UDecoder u)`
    `String` | `toString()` Debug purpose

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ENCODING

          @Deprecated
          public static final String DEFAULT_ENCODING

      Deprecated. This will be removed in Tomcat 9.0.x
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Parameters

          public Parameters()

  - ### Method Detail

    - #### setQuery

          public void setQuery(MessageBytes queryMB)

    - #### setLimit

          public void setLimit(int limit)

    - #### getEncoding

          @Deprecated
          public String getEncoding()

      Deprecated. This method will be removed in Tomcat 9.0.x
      Returns:
        The current encoding

    - #### getCharset

          public Charset getCharset()

    - #### setEncoding

          @Deprecated
          public void setEncoding(String s)

      Deprecated. This method will be removed in Tomcat 9.0.x
      Parameters:
        `s` - The new encoding

    - #### setCharset

          public void setCharset(Charset charset)

    - #### setQueryStringEncoding

          @Deprecated
          public void setQueryStringEncoding(String s)

      Deprecated. This method will be removed in Tomcat 9
      Parameters:
        `s` - The new query string encoding

    - #### setQueryStringCharset

          public void setQueryStringCharset(Charset queryStringCharset)

    - #### isParseFailed

          public boolean isParseFailed()

    - #### getParseFailedReason

          public Parameters.FailReason getParseFailedReason()

    - #### setParseFailedReason

          public void setParseFailedReason(Parameters.FailReason failReason)

    - #### recycle

          public void recycle()

    - #### getParameterValues

          public String[] getParameterValues(String name)

    - #### getParameterNames

          public Enumeration<String> getParameterNames()

    - #### getParameter

          public String getParameter(String name)

    - #### handleQueryParameters

          public void handleQueryParameters()

      Process the query string into parameters

    - #### addParameter

          public void addParameter(String key,
                          String value)
                            throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### setURLDecoder

          public void setURLDecoder(UDecoder u)

    - #### processParameters

          public void processParameters(byte[] bytes,
                               int start,
                               int len)

    - #### processParameters

          @Deprecated
          public void processParameters(MessageBytes data,
                                          String encoding)

      Deprecated. This method will be removed in Tomcat 9.0.x
      Parameters:
        `data` - Parameter data
        `encoding` - Encoding to use for encoded bytes

    - #### processParameters

          public void processParameters(MessageBytes data,
                               Charset charset)

    - #### toString

          public String toString()

      Debug purpose
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.